/**
 * The following styles get applied inside the editor only.
 *
 * Replace them with your own styles or remove the file completely.
 */

.wp-block-mecanoid-timeline
  .block-editor-block-list__layout
  :nth-child(2n + 1)
  .wp-block-mecanoid-timelineevent {
  margin-left: 50%;
}

.wp-block-mecanoid-timeline
  .block-editor-block-list__layout
  :nth-child(2n)
  .wp-block-mecanoid-timelineevent {
  text-align: right;
}

.wp-block-mecanoid-timelineevent {
  box-sizing: border-box;
  border: 1px solid black;
  background-color: white;
  width: 50%;
  padding: 10px !important;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
}

.wp-block-mecanoid-timelineevent h2 {
  margin: 0 !important;
  font-size: 2rem;
}

.wp-block-mecanoid-timelineevent p {
  margin: 10px 0 !important;
  font-size: 0.8rem;
  line-height: 1.2rem !important;
  color: black;
  width: 100%;
}

.wp-block-mecanoid-timelineevent img {
  height: auto;
  width: auto;
  max-width: 80%;
  max-height: 200px;
  position: relative;
  left: 0 !important;
}
